## libopenshot-audio 0.1.5%2Bdfsg1

=== CMakeLists.txt ===
#################### CMakeLists.txt (libopenshot-audio) ######################
# @brief CMake build file for libopenshot-audio (used to generate makefiles)
# @author Jonathan Thomas <jonathan@openshot.org>
#
# @section LICENSE
#
# Copyright (c) 2008-2016 OpenShot Studios, LLC
# <http://www.openshotstudios.com/>. This file is part of
# OpenShot Audio Library (libopenshot-audio), an open-source project dedicated 
# to delivering high quality audio editing and playback solutions to the 
# world. For more information visit <http://www.openshot.org/>.
#
# OpenShot Audio Library (libopenshot-audio) is free software: you can 
# redistribute it and/or modify it under the terms of the GNU General Public 
# License as published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# OpenShot Audio Library (libopenshot-audio) is distributed in the hope that it
# will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty 
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General 
# Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with OpenShot Audio Library. If not, see <http://www.gnu.org/licenses/>.
################################################################################

cmake_minimum_required(VERSION 2.8)

################ ADD CMAKE MODULES ##################
set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/Modules")

################ GET VERSION INFORMATION FROM VERSION.H ##################
MESSAGE("--------------------------------------------------------------")
MESSAGE("Determining Version Number (from Version.h file)")

#### Get the lines related to libopenshot version from the Version.h header
file(STRINGS ${CMAKE_CURRENT_SOURCE_DIR}/include/Version.h OPENSHOT_AUDIO_VERSION_LINES
  REGEX "#define[ ]+OPENSHOT_AUDIO_VERSION_.*[0-9]+;.*")

#### Set each line into it's own variable
list (GET OPENSHOT_AUDIO_VERSION_LINES 0 LINE_MAJOR)
list (GET OPENSHOT_AUDIO_VERSION_LINES 1 LINE_MINOR)
list (GET OPENSHOT_AUDIO_VERSION_LINES 2 LINE_BUILD)
list (GET OPENSHOT_AUDIO_VERSION_LINES 3 LINE_SO)

#### Get the version number out of each line
STRING(REGEX REPLACE "#define[ ]+OPENSHOT_AUDIO_VERSION_MAJOR.*([0-9])+;(.*)" "\\1" MAJOR_VERSION "${LINE_MAJOR}")
STRING(REGEX REPLACE "#define[ ]+OPENSHOT_AUDIO_VERSION_MINOR.*([0-9])+;(.*)" "\\1" MINOR_VERSION "${LINE_MINOR}")
STRING(REGEX REPLACE "#define[ ]+OPENSHOT_AUDIO_VERSION_BUILD.*([0-9])+;(.*)" "\\1" BUILD_VERSION "${LINE_BUILD}")
STRING(REGEX REPLACE "#define[ ]+OPENSHOT_AUDIO_VERSION_SO.*([0-9])+;(.*)" "\\1" SO_VERSION "${LINE_SO}")
set(PROJECT_VERSION "${MAJOR_VERSION}.${MINOR_VERSION}.${BUILD_VERSION}")

MESSAGE("--> MAJOR Version: ${MAJOR_VERSION}")
MESSAGE("--> MINOR Version: ${MINOR_VERSION}")
MESSAGE("--> BUILD Version: ${BUILD_VERSION}")
MESSAGE("--> SO/API/ABI Version: ${SO_VERSION}")
MESSAGE("--> VERSION: ${PROJECT_VERSION}")
MESSAGE("")

################### SETUP PROJECT ###################
project(openshot-audio)
MESSAGE("--------------------------------------------------------------")
MESSAGE("---- Generating build files for ${PROJECT_NAME} (${PROJECT_VERSION})")
MESSAGE("--------------------------------------------------------------")


# Enable stack-unwinding support in c objects on gcc-based platforms.
# Failing to do so will cause your program to be terminated when a png
# or a jpeg exception is thrown on linux or macosx.
IF (CMAKE_COMPILER_IS_GNUCC)
SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fexceptions")
ENDIF(CMAKE_COMPILER_IS_GNUCC)


IF (WIN32)
	SET_PROPERTY(GLOBAL PROPERTY JUCE_WINDOWS "JUCE_WINDOWS")
	SET_PROPERTY(GLOBAL PROPERTY JUCE_MINGW "JUCE_MINGW")
    SET(EXTENSION "cpp")

	# Find the base directory of the AISO SDK (if any)
	find_path(AISO_SDK_DIR iasiodrv.h
			PATHS $ENV{AISO_SDK_DIR} )

	IF (AISO_SDK_DIR)
		MESSAGE("FOUND AISO_SDK_DIR: ${AISO_SDK_DIR}")
		ADD_DEFINITIONS(-DJUCE_ASIO=1)
		INCLUDE_DIRECTORIES(${AISO_SDK_DIR})
	ELSE(AISO_SDK_DIR)
		MESSAGE("AISO_SDK_DIR NOT FOUND")
		ADD_DEFINITIONS(-DJUCE_ASIO=0)
	ENDIF (AISO_SDK_DIR)
    
	ADD_DEFINITIONS(-DDONT_AUTOLINK_TO_JUCE_LIBRARY)
	SET(CMAKE_CXX_FLAGS " ${CMAKE_CXX_FLAGS} -std=c++0x")

	SET(JUCE_PLATFORM_SPECIFIC_LIBRARIES
		advapi32.lib
		comdlg32.lib
		gdi32.lib
		GlU32.lib
		Imm32.dll
		kernel32.lib
		ole32.lib
		OpenGL32.lib
		rpcrt4.lib
		shell32.lib
		Shlwapi.dll
		user32.lib
		vfw32.lib
		version.lib
		winmm.lib
		wininet.lib
		ws2_32.lib
	)
ELSE (WIN32)
	IF   (UNIX)
		IF   (APPLE)
            SET_PROPERTY(GLOBAL PROPERTY JUCE_MAC "JUCE_MAC")
            ADD_DEFINITIONS(-DNDEBUG)
            SET(EXTENSION "mm")
            
            SET(JUCE_PLATFORM_SPECIFIC_DIR build/macosx/platform_specific_code)
            SET(JUCE_PLATFORM_SPECIFIC_LIBRARIES "-framework Carbon -framework Cocoa -framework CoreFoundation -framework CoreAudio -framework CoreMidi -framework IOKit -framework AGL -framework AudioToolbox -framework QuartzCore -lobjc -framework Accelerate")
		
            SET(CMAKE_CXX_FLAGS " ${CMAKE_CXX_FLAGS} -flax-vector-conversions -std=c++0x")
		
        ELSE (APPLE)
			SET_PROPERTY(GLOBAL PROPERTY JUCE_LINUX "JUCE_LINUX")
            SET(EXTENSION "cpp")
            
			FIND_PACKAGE(X11 REQUIRED)
			INCLUDE_DIRECTORIES(${X11_INCLUDE_DIR})
			INCLUDE_DIRECTORIES(/usr/include/freetype2)
			ADD_DEFINITIONS(-DLINUX)
			SET(JUCE_PLATFORM_SPECIFIC_LIBRARIES ${X11_LIBRARIES} asound freetype Xinerama)
		ENDIF(APPLE)
	ENDIF(UNIX)
ENDIF(WIN32)

# Include header directories
include_directories("JuceLibraryCode")

# List of modules to build (Extension based on OS)
FILE(GLOB JUCE_SOURCES
	JuceLibraryCode/modules/juce_core/juce_core.${EXTENSION}
	JuceLibraryCode/modules/juce_data_structures/juce_data_structures.${EXTENSION}
	JuceLibraryCode/modules/juce_events/juce_events.${EXTENSION}
	JuceLibraryCode/modules/juce_graphics/juce_graphics.${EXTENSION}
	JuceLibraryCode/modules/juce_gui_basics/juce_gui_basics.${EXTENSION}
	JuceLibraryCode/modules/juce_gui_extra/juce_gui_extra.${EXTENSION}
	JuceLibraryCode/modules/juce_audio_basics/juce_audio_basics.${EXTENSION}
	JuceLibraryCode/modules/juce_audio_devices/juce_audio_devices.${EXTENSION}
	JuceLibraryCode/modules/juce_audio_formats/juce_audio_formats.${EXTENSION}
	JuceLibraryCode/modules/juce_audio_processors/juce_audio_processors.${EXTENSION}
)

# Disable RPATH
SET(CMAKE_MACOSX_RPATH 0)

ADD_LIBRARY(openshot-audio SHARED
	${JUCE_SOURCES}
)

# Set SONAME and other library properties
set_target_properties(openshot-audio
			PROPERTIES
			VERSION ${PROJECT_VERSION}
			SOVERSION ${SO_VERSION}
			INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/lib")

TARGET_LINK_LIBRARIES(openshot-audio
	${JUCE_PLATFORM_SPECIFIC_LIBRARIES}
)

# PROCESS SUB-DIRECTORIES
add_subdirectory(src)

# Determine correct lib folder
set(LIB_INSTALL_DIR lib${LIB_SUFFIX}) 

# Install Files
INSTALL(FILES ${CMAKE_CURRENT_SOURCE_DIR}/JuceLibraryCode/JuceHeader.h DESTINATION include/libopenshot-audio)
INSTALL(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/JuceLibraryCode DESTINATION include/libopenshot-audio FILES_MATCHING PATTERN "*.h")
INSTALL(TARGETS openshot-audio DESTINATION ${LIB_INSTALL_DIR})

################### DOCUMENTATION ###################
# Find Doxygen (used for documentation)
include(cmake/Modules/UseDoxygen.cmake)

# Install Doxygen html documentation
file(GLOB_RECURSE doc_files ${CMAKE_CURRENT_BINARY_DIR}/doc/html/*.*)
INSTALL(FILES ${doc_files} DESTINATION share/doc/libopenshot-audio)

# Install manpage
INSTALL(FILES ${CMAKE_CURRENT_SOURCE_DIR}/doc/openshot-audio-test-sound.1 DESTINATION share/man/man1)

## libopenshot-audio 0.1.2

=== debian/changelog ===
libopenshot-audio (0.1.2-0jessie1) jessie; urgency=medium

  * Rebuild for OBS.
  * Switch to 3.0 (quilt) source format.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Thu, 01 Sep 2016 11:06:33 -0700

libopenshot-audio (0.1.1-1) UNRELEASED; urgency=medium

  * New upstream release  

 -- Jonathan Thomas <jonathan@openshot.org>  Sun, 27 Mar 2016 23:38:16 -0500

libopenshot-audio (0.0.6-1) UNRELEASED; urgency=low

  * Initial release. Closes: #810787

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 12 Jan 2016 17:45:04 +0000

=== debian/control ===
Source: libopenshot-audio
Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
Bugs: mailto: maintainer@mepiscommunity.org
XSBC-Original-Maintainer: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: libs
Priority: optional
Build-Depends: cmake (>= 2.8),
               debhelper (>= 9),
               libasound2-dev,
               libfreetype6-dev,
               libxcursor-dev,
               libxinerama-dev,
               libxrandr-dev
Build-Depends-Indep: doxygen
Standards-Version: 3.9.6
Homepage: http://www.openshot.org/

Package: libopenshot-audio3
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Replaces: libopenshot-audio2,
          libopenshot-audio1
Description: library for high-quality audio editing
 The OpenShot audio library is a program which allows high-quality
 editing and playback of audio based on the JUCE library.
 .
 This package provides the OpenShot audio library.

Package: libopenshot-audio-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libopenshot-audio3 (= ${binary:Version}),
         ${misc:Depends}
Suggests: libopenshot-audio-doc
Description: development files for the OpenShot audio library
 The OpenShot audio library is a program which allows high-quality
 editing and playback of audio based on the JUCE library.
 .
 This package provides the development files for the OpenShot audio library.

Package: libopenshot-audio-doc
Architecture: all
Section: doc
Depends: libjs-jquery,
         ${misc:Depends}
Description: documentation for the OpenShot audio library
 The OpenShot audio library is a program which allows high-quality
 editing and playback of audio based on the JUCE library.
 .
 This package provides the documentation for the OpenShot audio library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#DH_VERBOSE = 1

# Hardening flags.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -pthread -Wall -pedantic
export DEB_CXXFLAGS_MAINT_APPEND = -pthread -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -lpthread -ldl -Wl,--as-needed

# Environment information.
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
	      -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"

override_dh_auto_build-indep:
	dh_auto_build --indep -- doc

override_dh_install-indep:
	dh_install --indep
	dh_doxygen --indep

## libopenshot-audio 0.1.2+ds1

=== debian/changelog ===
libopenshot-audio (0.1.2+ds1-3) experimental; urgency=medium

  * Better integration with the system libraries
    - New patch 0004-Use-the-system-libraries.patch
    - Do not inject the system libraries via MAINT_APPEND
    - Drop build dependency on pkg-config, no longer required
  * Fix missing linkage with pthread / libdl directly upstream
    - New patch 0005-Add-missing-linkage-with-pthread.patch
    - New patch 0006-Add-missing-linkage-with-libdl.patch
    - Do not inject pthread / libdl via MAINT_APPEND
  * Fix arch-indep builds

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Thu, 02 Feb 2017 17:27:24 +0000

libopenshot-audio (0.1.2+ds1-2) experimental; urgency=medium

  * Fix FTBFS on !linux
    - New patch 0003-Do-not-use-Linux-only-prctl.patch
  * Support the nodoc build profile
    - Add versioned build dependency on dpkg-dev,
    - Mark documentation b-deps and packages as !nodoc
    - Do not build the documentation when nodoc is requested

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 31 Jan 2017 00:18:58 +0000

libopenshot-audio (0.1.2+ds1-1) experimental; urgency=low

  * Initial release. (Closes: #810787)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Thu, 15 Dec 2016 20:57:14 +0000

=== debian/control ===
Source: libopenshot-audio
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper (>= 10),
               dpkg-dev (>= 1.17.14),
               libasound2-dev,
               libflac-dev,
               libfreetype6-dev,
               libjpeg-dev,
               libpng-dev,
               libvorbis-dev,
               libxcursor-dev,
               libxinerama-dev,
               libxrandr-dev,
               zlib1g-dev
Build-Depends-Indep: doxygen <!nodoc>
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/libopenshot-audio.git/
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/libopenshot-audio.git
Homepage: http://www.openshot.org/

Package: libopenshot-audio3
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: library for high-quality audio editing
 The OpenShot audio library is a program which allows high-quality
 editing and playback of audio based on the JUCE library.
 .
 This package provides the shared library.

Package: libopenshot-audio-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libopenshot-audio3 (= ${binary:Version}),
         ${misc:Depends}
Suggests: libopenshot-audio-doc <!nodoc>
Description: development files for the OpenShot audio library
 The OpenShot audio library is a program which allows high-quality
 editing and playback of audio based on the JUCE library.
 .
 This package provides the development files.

Package: libopenshot-audio-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: documentation for the OpenShot audio library
 The OpenShot audio library is a program which allows high-quality
 editing and playback of audio based on the JUCE library.
 .
 This package provides the documentation.
Build-Profiles: <!nodoc>

=== debian/watch ===
version=3
opts=repacksuffix=+ds1,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\d+)?$//,\
filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/libopenshot-audio-$1\.tar\.gz/ \
https://github.com/OpenShot/libopenshot-audio/tags .*/v?(\d\S*)\.tar\.gz

## libopenshot-audio 0.1.5+dfsg1

=== debian/changelog ===
libopenshot-audio (0.1.5+dfsg1-1) unstable; urgency=medium

  * New upstream version 0.1.5+dfsg1
  * Use dfsg as repack suffix
  * Use HTTPS for upstream homepage
  * Update Standards-Version to 4.1.1, no changes needed
  * Bump library .so version to 6

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 18 Nov 2017 14:24:44 +0100

libopenshot-audio (0.1.4+ds1-2) unstable; urgency=medium

  * Upload to unstable
  * Adopt package. (Closes: #872902)
  * Update to Standards-Version 4.1.0

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 25 Sep 2017 15:00:20 +0200

libopenshot-audio (0.1.4+ds1-1) experimental; urgency=medium

  * Switch from git-dpm to gbp
    - Drop git-dpm configuration
    - Unapply the patch queue
    - Add gbp configuration
    - Refresh the patch queue
    - Drop patch numbering
  * New upstream version 0.1.4+ds1
  * Bump soversion to 5

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Mon, 12 Jun 2017 22:16:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: libopenshot-audio
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
+Uploaders: Dr. Tobias Quathamer <toddy@debian.org>
 Section: libs
 Priority: optional
 Build-Depends: cmake,
@@ -17,12 +17,12 @@
                libxrandr-dev,
                zlib1g-dev
 Build-Depends-Indep: doxygen <!nodoc>
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/libopenshot-audio.git/
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/libopenshot-audio.git
-Homepage: http://www.openshot.org/
+Homepage: https://www.openshot.org/
 
-Package: libopenshot-audio3
+Package: libopenshot-audio6
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
@@ -38,7 +38,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libopenshot-audio3 (= ${binary:Version}),
+Depends: libopenshot-audio6 (= ${binary:Version}),
          ${misc:Depends}
 Suggests: libopenshot-audio-doc <!nodoc>
 Description: development files for the OpenShot audio library

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"

override_dh_auto_build-indep:
ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
	dh_auto_build -- doc
endif

override_dh_auto_test-indep:

override_dh_auto_install-indep:

# NOTE: This override is required to ensure only non-empty directories are
# effectively installed.
override_dh_install-arch:
	find debian/tmp -type d -empty -delete
	dh_install --arch

override_dh_installdocs-indep:
ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
	dh_installdocs --indep
	dh_doxygen --indep
endif

## libopenshot-audio 0.1.6+dfsg2

=== debian/changelog ===
libopenshot-audio (0.1.6+dfsg2-0.1~mx15+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 02 Jul 2018 16:28:06 -0700

libopenshot-audio (0.1.6+dfsg2+62+201806302100~ubuntu16.04.1) xenial; urgency=low

  * Auto build.

 -- OpenShot Code <openshot.code@lists.launchpad.net>  Sat, 30 Jun 2018 21:00:54 +0000

libopenshot-audio (0.1.6-1) UNRELEASED; urgency=medium

  * New upstream release

 -- Jonathan Thomas <jonathan@openshot.org>  Sat, 30 Jun 2018 01:25:30 -0500

libopenshot-audio (0.1.5-1) UNRELEASED; urgency=medium

  * New upstream release

 -- Jonathan Thomas <jonathan@openshot.org>  Sun, 12 Nov 2017 03:50:05 -0600

libopenshot-audio (0.1.4-1) UNRELEASED; urgency=medium

  * New upstream release

 -- Jonathan Thomas <jonathan@openshot.org>  Thu, 11 May 2017 01:58:02 -0500

libopenshot-audio (0.1.3-1) UNRELEASED; urgency=medium

  * New upstream release

 -- Jonathan Thomas <jonathan@openshot.org>  Tue, 09 May 2017 23:57:31 -0500

libopenshot-audio (0.1.2-1) UNRELEASED; urgency=medium

  * New upstream release

 -- Jonathan Thomas <jonathan@openshot.org>  Mon, 29 Aug 2016 23:54:57 -0500

=== debian/control ===
Source: libopenshot-audio
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper (>= 9),
               libasound2-dev,
               libfreetype6-dev,
               libxcursor-dev,
               libxinerama-dev,
               libxrandr-dev
Build-Depends-Indep: doxygen
Standards-Version: 3.9.6
Homepage: http://www.openshot.org/

Package: libopenshot-audio6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Replaces: libopenshot-audio2,
          libopenshot-audio1
Description: library for high-quality audio editing
 The OpenShot audio library is a program which allows high-quality
 editing and playback of audio based on the JUCE library.
 .
 This package provides the OpenShot audio library.

Package: libopenshot-audio-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libopenshot-audio6 (= ${binary:Version}),
         ${misc:Depends}
Suggests: libopenshot-audio-doc
Description: development files for the OpenShot audio library
 The OpenShot audio library is a program which allows high-quality
 editing and playback of audio based on the JUCE library.
 .
 This package provides the development files for the OpenShot audio library.

Package: libopenshot-audio-doc
Architecture: all
Section: doc
Depends: libjs-jquery,
         ${misc:Depends}
Description: documentation for the OpenShot audio library
 The OpenShot audio library is a program which allows high-quality
 editing and playback of audio based on the JUCE library.
 .
 This package provides the documentation for the OpenShot audio library.

## libopenshot-audio 0.1.7+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -168,7 +168,11 @@
 			SOVERSION ${SO_VERSION}
 			INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/lib")
 
+set(CMAKE_THREAD_PREFER_PTHREAD TRUE)
+find_package(Threads REQUIRED)
 TARGET_LINK_LIBRARIES(openshot-audio
+	${CMAKE_DL_LIBS}
+	${CMAKE_THREAD_LIBS_INIT}
 	${JUCE_PLATFORM_SPECIFIC_LIBRARIES}
 )

=== src/CMakeLists.txt ===
#################### CMakeLists.txt (libopenshot-audio) ######################
# @brief CMake build file for libopenshot-audio (used to generate makefiles)
# @author Jonathan Thomas <jonathan@openshot.org>
#
# @section LICENSE
#
# Copyright (c) 2008-2016 OpenShot Studios, LLC
# <http://www.openshotstudios.com/>. This file is part of
# OpenShot Audio Library (libopenshot-audio), an open-source project dedicated 
# to delivering high quality audio editing and playback solutions to the 
# world. For more information visit <http://www.openshot.org/>.
#
# OpenShot Audio Library (libopenshot-audio) is free software: you can 
# redistribute it and/or modify it under the terms of the GNU General Public 
# License as published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# OpenShot Audio Library (libopenshot-audio) is distributed in the hope that it
# will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty 
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General 
# Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with OpenShot Audio Library. If not, see <http://www.gnu.org/licenses/>.
################################################################################


############### TEST EXECUTABLES ################
add_executable(openshot-audio-test-sound Main.cpp)
target_link_libraries(openshot-audio-test-sound openshot-audio)

# Install Test Executable
INSTALL(TARGETS openshot-audio-test-sound DESTINATION bin)

=== debian/changelog ===
libopenshot-audio (0.1.7+dfsg1-1~mx17+1) mx; urgency=medium

  * Repackaged for MX 17.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 03 Dec 2018 15:49:36 -0800

libopenshot-audio (0.1.7+dfsg1-1) unstable; urgency=medium

  * New upstream version 0.1.7+dfsg1
    - Refresh patches
  * Update Standards-Version to 4.2.1, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 22 Sep 2018 21:42:43 +0200

libopenshot-audio (0.1.6+dfsg1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Dr. Tobias Quathamer ]
  * New upstream version 0.1.6+dfsg1
  * Use debhelper v11
  * Update to Standards-Version 4.2.0, no changes needed
  * Fix wrong path of doc-base information

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 20 Aug 2018 22:09:32 +0200

=== debian/control ===
Source: libopenshot-audio
Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Dr. Tobias Quathamer <toddy@debian.org>
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper (>= 11),
               dpkg-dev (>= 1.17.14),
               libasound2-dev,
               libflac-dev,
               libfreetype6-dev,
               libjpeg-dev,
               libpng-dev,
               libvorbis-dev,
               libxcursor-dev,
               libxinerama-dev,
               libxrandr-dev,
               zlib1g-dev
Build-Depends-Indep: doxygen <!nodoc>
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/multimedia-team/libopenshot-audio
Vcs-Git: https://salsa.debian.org/multimedia-team/libopenshot-audio.git
Homepage: https://www.openshot.org/

Package: libopenshot-audio6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: library for high-quality audio editing
 The OpenShot audio library is a program which allows high-quality
 editing and playback of audio based on the JUCE library.
 .
 This package provides the shared library.

Package: libopenshot-audio-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libopenshot-audio6 (= ${binary:Version}),
         ${misc:Depends}
Suggests: libopenshot-audio-doc <!nodoc>
Description: development files for the OpenShot audio library
 The OpenShot audio library is a program which allows high-quality
 editing and playback of audio based on the JUCE library.
 .
 This package provides the development files.

Package: libopenshot-audio-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: documentation for the OpenShot audio library
 The OpenShot audio library is a program which allows high-quality
 editing and playback of audio based on the JUCE library.
 .
 This package provides the documentation.
Build-Profiles: <!nodoc>

=== debian/rules ===
--- 
+++ 
@@ -34,3 +34,6 @@
 	dh_installdocs --indep
 	dh_doxygen --indep
 endif
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## libopenshot-audio 0.1.9+dfsg1

=== CMakeLists.txt ===
#################### CMakeLists.txt (libopenshot-audio) ######################
# @brief CMake build file for libopenshot-audio (used to generate makefiles)
# @author Jonathan Thomas <jonathan@openshot.org>
#
# @section LICENSE
#
# Copyright (c) 2008-2019 OpenShot Studios, LLC
# <http://www.openshotstudios.com/>. This file is part of
# OpenShot Audio Library (libopenshot-audio), an open-source project dedicated
# to delivering high quality audio editing and playback solutions to the
# world. For more information visit <http://www.openshot.org/>.
#
# OpenShot Audio Library (libopenshot-audio) is free software: you can
# redistribute it and/or modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# OpenShot Audio Library (libopenshot-audio) is distributed in the hope that it
# will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
# Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with OpenShot Audio Library. If not, see <http://www.gnu.org/licenses/>.
################################################################################

cmake_minimum_required(VERSION 3.1...3.14 FATAL_ERROR)

message("\
-----------------------------------------------------------------
          Welcome to the OpenShot Build System!

CMake will now check libopenshot-audio's build dependencies and
inform you of any missing files or other issues.

For more information, please visit <http://www.openshot.org/>.
-----------------------------------------------------------------")

################ ADD CMAKE MODULES ##################
set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/Modules")

################ PROJECT VERSION ####################
set(PROJECT_VERSION_FULL "0.1.9")
set(PROJECT_SO_VERSION 7)
set(HEX_VERSION_OVERRIDE "0x109") # For CMake < 3.13

# Remove the dash and anything following, to get the #.#.# version for project()
STRING(REGEX REPLACE "\-.*$" "" VERSION_NUM "${PROJECT_VERSION_FULL}")

################### SETUP PROJECT ###################
# This will define the following variables
# PROJECT_NAME
# PROJECT_VERSION, libopenshot-audio_VERSION
# PROJECT_VERSION_MAJOR, libopenshot-audio_VERSION_MAJOR
# PROJECT_VERSION_MINOR, libopenshot-audio_VERSION_MINOR
# PROJECT_VERSION_PATCH, libopenshot-audio_VERSION_PATCH
PROJECT(libopenshot-audio LANGUAGES C CXX VERSION ${VERSION_NUM})

# JuceHeader.h needs a hexadecimal version number for the project
if(CMAKE_VERSION VERSION_LESS 3.13)
	set(PROJECT_VERSION_HEX ${HEX_VERSION_OVERRIDE}) # Ugly hardcoding
else()
	math(EXPR PROJECT_VERSION_HEX 
		"(${PROJECT_VERSION_MAJOR} << 16) + \
		(${PROJECT_VERSION_MINOR} << 8) + \
		(${PROJECT_VERSION_PATCH})" OUTPUT_FORMAT HEXADECIMAL )
endif()

message("\
Generating build files for ${PROJECT_NAME} \
version ${PROJECT_VERSION_FULL} (${PROJECT_VERSION_HEX})" )
message("SO/API/ABI Version: ${PROJECT_SO_VERSION}" )


# Define install paths according to system conventions
# XXX: This must be AFTER THE PROJECT() COMMAND w/ languages enabled,
#      in order to properly configure CMAKE_INSTALL_LIBDIR path
include(GNUInstallDirs)

########## Configure headers ##############
configure_file(include/JuceHeader.h.in include/JuceHeader.h @ONLY)
configure_file(include/AppConfig.h.in include/AppConfig.h @ONLY)
# We'll want those installed later
install(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/include/
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/libopenshot-audio )

# Juce requires either DEBUG or NDEBUG to be defined on MacOS.
# -DNDEBUG is set by cmake for all release configs, so add
# -DDEBUG for debug builds. We'll do this for all OSes, even
# though only MacOS requires it.
set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -DDEBUG")
# Make sure we've picked some build type, default to debug
if(NOT DEFINED CMAKE_BUILD_TYPE OR CMAKE_BUILD_TYPE STREQUAL "")
	set(CMAKE_BUILD_TYPE "Debug")
endif()


# Enable stack-unwinding support in c objects on gcc-based platforms.
# Failing to do so will cause your program to be terminated when a png
# or a jpeg exception is thrown on linux or macosx.
IF (CMAKE_COMPILER_IS_GNUCC)
	SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fexceptions")
ENDIF(CMAKE_COMPILER_IS_GNUCC)

IF (WIN32)
	# Find the base directory of the ASIO SDK (if any)
	find_path(ASIO_SDK_DIR iasiodrv.h PATHS $ENV{ASIO_SDK_DIR} )

	IF (ASIO_SDK_DIR)
		MESSAGE("FOUND ASIO_SDK_DIR: ${ASIO_SDK_DIR}")
		ADD_DEFINITIONS(-DJUCE_ASIO=1)
		INCLUDE_DIRECTORIES(${ASIO_SDK_DIR})
	ELSE(ASIO_SDK_DIR)
		MESSAGE("ASIO_SDK_DIR NOT FOUND")
		ADD_DEFINITIONS(-DJUCE_ASIO=0)
	ENDIF (ASIO_SDK_DIR)

	# Tell Visual Studio not to automatically link system DLLs
	ADD_DEFINITIONS(-DJUCE_DONT_AUTOLINK_TO_WIN32_LIBRARIES)

	# Order here can be important!
	# For example, winmm.lib must come before kernel32.lib (if linked)
	# or older 32-bit windows versions will have linking issues for
	# certain entry points
	SET(JUCE_PLATFORM_SPECIFIC_LIBRARIES
                winmm.lib
                ws2_32.lib
                wininet.lib
                version.lib
                Shlwapi.dll
		)
endif()

if(UNIX AND APPLE)
	SET(JUCE_PLATFORM_SPECIFIC_DIR build/macosx/platform_specific_code)
	SET(JUCE_PLATFORM_SPECIFIC_LIBRARIES "-framework Carbon -framework Cocoa -framework CoreFoundation -framework CoreAudio -framework CoreMidi -framework IOKit -framework AGL -framework AudioToolbox -framework QuartzCore -lobjc -framework Accelerate")
	SET(CMAKE_CXX_FLAGS " ${CMAKE_CXX_FLAGS} -flax-vector-conversions")
endif()

# Default extension for source files
if(UNIX AND APPLE)
  SET(SOURCE_EXTENSION "mm")
else ()
  SET(SOURCE_EXTENSION "cpp")
endif()

# List of modules to build
set(JUCE_MODULES
	audio_basics
	audio_devices
	audio_formats
	core
	data_structures
	events )
# Convert to list of source files (extension based on OS)
foreach(j_module IN LISTS JUCE_MODULES)
	list(APPEND JUCE_SOURCES
		JuceLibraryCode/include_juce_${j_module}.${SOURCE_EXTENSION} )
endforeach()

add_library(openshot-audio SHARED ${JUCE_SOURCES} )

# Include header directories
target_include_directories(openshot-audio PUBLIC
	$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/include>
	$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/JuceLibraryCode/modules>
	$<INSTALL_INTERFACE:include/libopenshot-audio> )

# Set SONAME and other library properties
set_target_properties(openshot-audio
		PROPERTIES
		VERSION ${PROJECT_VERSION}
		SOVERSION ${PROJECT_SO_VERSION}
		CXX_STANDARD 11
		CXX_STANDARD_REQUIRED YES
		CXX_EXTENSIONS OFF
		MACOSX_RPATH OFF
		INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/lib")

# Threading library -- uses IMPORTED target Threads::Threads (since CMake 3.1)
set(CMAKE_THREAD_PREFER_PTHREAD TRUE)
set(THREADS_PREFER_PTHREAD_FLAG TRUE)
find_package(Threads REQUIRED)
target_link_libraries(openshot-audio PUBLIC Threads::Threads)

# ALSA (Linux only)
if(UNIX AND NOT APPLE)
  find_package(ALSA REQUIRED)
  if (ALSA_FOUND AND NOT TARGET ALSA::ALSA) # CMake < 3.12
    add_library(ALSA::ALSA INTERFACE IMPORTED)
    set_target_properties(ALSA::ALSA PROPERTIES
      INTERFACE_INCLUDE_DIRECTORIES ${ALSA_INCLUDE_DIR}
      INTERFACE_LINK_LIBRARIES ${ALSA_LIBRARIES})
  endif()
  target_compile_definitions(openshot-audio PUBLIC LINUX)
  target_link_libraries(openshot-audio PUBLIC ALSA::ALSA)
endif()

# ZLIB -- uses IMPORTED target ZLIB::ZLIB which has existed since CMake 3.1
find_package(ZLIB REQUIRED)
target_link_libraries(openshot-audio PUBLIC ZLIB::ZLIB)

target_link_libraries(openshot-audio PUBLIC
		${CMAKE_DL_LIBS}
		${JUCE_PLATFORM_SPECIFIC_LIBRARIES} )

# PROCESS SUB-DIRECTORIES
add_subdirectory(src)


#################### INSTALLATION #####################

# Install Header Files
INSTALL(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/JuceLibraryCode/modules/
	DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/libopenshot-audio
	FILES_MATCHING PATTERN "*.h" )

# Install library
INSTALL(TARGETS openshot-audio
	LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
	ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
	RUNTIME DESTINATION ${CMAKE_INSTALL_LIBDIR} )

# Install manpage
INSTALL(FILES ${CMAKE_CURRENT_SOURCE_DIR}/doc/openshot-audio-test-sound.1
	DESTINATION ${CMAKE_INSTALL_MANDIR}/man1 )

########### DOCUMENTATION ##########
# We need Python to process the source for Doxygen...
find_package(PythonInterp 3)

if(PYTHONINTERP_FOUND)
    # Pre-process the sources to fix documentation formatting
    add_custom_target(process-source-files
        COMMAND ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/doc/process_source_files.py ${CMAKE_CURRENT_SOURCE_DIR}/JuceLibraryCode/modules "docs"
        COMMENT "Formatting source code for documentation"
        VERBATIM )

    # Processed docs are removed on "make clean"
    set_property(DIRECTORY
        APPEND PROPERTY
        ADDITIONAL_MAKE_CLEAN_FILES "docs" )

    # Find Doxygen (used for documentation)
    include(cmake/Modules/UseDoxygen.cmake)

    # Make sure process-source comes before Doxygen targets,
    # assuming UseDoxygen found the tools and created them
    if(TARGET doc)
        add_dependencies(doc process-source-files)
    endif()
    if(TARGET doxygen)
        add_dependencies(doxygen process-source-files)
    endif()
endif()

# Doxygen was found
if (TARGET doc)
    message(STATUS "Doxygen found, documentation target enabled")
    message("\nTo compile documentation in doc/html, run: 'make doc'")

    # Install docs, if the user builds them with `make doc`
    install(CODE "MESSAGE(\"Checking for documentation files to install...\")")
    install(CODE "MESSAGE(\"(Compile with 'make doc' command, requires Python3 and Doxygen)\")")

    install(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/doc/html/
        DESTINATION ${CMAKE_INSTALL_DOCDIR}/API
        MESSAGE_NEVER # Don't spew about file copies
        OPTIONAL )    # No error if the docs aren't found
endif()

=== debian/changelog ===
libopenshot-audio (0.1.9+dfsg1-0.1~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Bump debhelper compat to 11.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 20 Feb 2020 14:57:31 -0800

libopenshot-audio (0.1.9+dfsg2+99+202002090107~ubuntu18.04.1) bionic; urgency=low

  * Auto build.

 -- OpenShot Code <openshot.code@lists.launchpad.net>  Sun, 09 Feb 2020 01:07:50 +0000

libopenshot-audio (0.1.9-1) UNRELEASED; urgency=medium

  * New upstream release

 -- Jonathan Thomas <jonathan@openshot.org>  Sat, 08 Feb 2020 18:54:11 -0600

libopenshot-audio (0.1.8-1) UNRELEASED; urgency=medium

  * New upstream release

 -- Jonathan Thomas <jonathan@openshot.org>  Wed, 20 Mar 2019 20:43:37 -0500

=== debian/control ===
Source: libopenshot-audio
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper (>= 11),
               libasound2-dev,
               libfreetype6-dev,
               libxcursor-dev,
               libxinerama-dev,
               libxrandr-dev,
               python3
Build-Depends-Indep: doxygen
Standards-Version: 3.9.6
Homepage: http://www.openshot.org/

Package: libopenshot-audio7
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Replaces: libopenshot-audio6,
          libopenshot-audio2,
          libopenshot-audio1
Description: library for high-quality audio editing
 The OpenShot audio library is a program which allows high-quality
 editing and playback of audio based on the JUCE library.
 .
 This package provides the OpenShot audio library.

Package: libopenshot-audio-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libopenshot-audio7 (= ${binary:Version}),
         ${misc:Depends}
Suggests: libopenshot-audio-doc
Description: development files for the OpenShot audio library
 The OpenShot audio library is a program which allows high-quality
 editing and playback of audio based on the JUCE library.
 .
 This package provides the development files for the OpenShot audio library.

Package: libopenshot-audio-doc
Architecture: all
Section: doc
Depends: libjs-jquery,
         ${misc:Depends}
Description: documentation for the OpenShot audio library
 The OpenShot audio library is a program which allows high-quality
 editing and playback of audio based on the JUCE library.
 .
 This package provides the documentation for the OpenShot audio library.

## libopenshot-audio 0.2.0%2Bdfsg1

=== debian/changelog ===
libopenshot-audio (0.2.0+dfsg1-4deepin0) unstable; urgency=medium

  * No source change upload against GCC 12.

 -- Tianyu Chen <sweetyfish@deepin.org>  Fri, 20 Sep 2024 12:11:05 +0800

libopenshot-audio (0.2.0+dfsg1-4) unstable; urgency=medium

  * Upload into unstable

 -- Anton Gladky <gladk@debian.org>  Mon, 29 Jun 2020 21:03:32 +0200

libopenshot-audio (0.2.0+dfsg1-4~exp1) experimental; urgency=medium

  * [43e53ad] Add libopenshot-audio-test-sound
  * [b36258c] Remove unused license definitions for GPL-2+.
  * [d3892b2] Drop multiarch for the binary
  * [3d36e3b] Add autopkgtest

 -- Anton Gladky <gladk@debian.org>  Fri, 26 Jun 2020 23:07:22 +0200

libopenshot-audio (0.2.0+dfsg1-3) unstable; urgency=medium

  * [77cb64e] Use python3 instead of python3-minimal

 -- Anton Gladky <gladk@debian.org>  Wed, 24 Jun 2020 22:19:20 +0200

libopenshot-audio (0.2.0+dfsg1-2) unstable; urgency=medium

  * [2e4d061] Add python3-minimal for doc-building
  * [2a69e0d] Add d/clean

 -- Anton Gladky <gladk@debian.org>  Wed, 24 Jun 2020 16:29:05 +0200

libopenshot-audio (0.2.0+dfsg1-1) unstable; urgency=medium

  * [d104d0a] Fix --build=all
  * [a197898] Add API to not-installed (is installed from build-dir)

 -- Anton Gladky <gladk@debian.org>  Tue, 23 Jun 2020 22:40:04 +0200

libopenshot-audio (0.2.0+dfsg1-1~exp3) experimental; urgency=medium

  * [da50e75] Fix typo

 -- Anton Gladky <gladk@debian.org>  Tue, 23 Jun 2020 21:30:39 +0200

libopenshot-audio (0.2.0+dfsg1-1~exp2) experimental; urgency=medium

  * [761fdac] Add missing linkage to latomic

 -- Anton Gladky <gladk@debian.org>  Tue, 23 Jun 2020 21:14:02 +0200

libopenshot-audio (0.2.0+dfsg1-1~exp1) experimental; urgency=medium

  [ Ondřej Nový ]
  * [007fd30] Use debhelper-compat instead of debian/compat

  [ Anton Gladky ]
  * [7adddd9] Remove some lines in d/copyright
  * [176db40] Clean/Refresh patches
  * [f934241] Change so-version to 7
  * [5c0fa86] Set upstream metadata fields:
    Bug-Database, Bug-Submit, Repository, Repository-Browse.
  * [eeaac15] Set compat level 13
  * [7c9125f] Set Standards-Version to 4.5.0
  * [ea754a9] New upstream version 0.2.0+dfsg1. (Closes: #925755)
  * [7b47ce3] Do not install openshot-audio-test-sound
  * [c170db2] Add myself to uploaders
  * [df03f4f] Rules-Requires-Root: no

 -- Anton Gladky <gladk@debian.org>  Fri, 19 Jun 2020 19:11:05 +0200

## libopenshot-audio 0.2.0+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -40,9 +40,8 @@
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/Modules")
 
 ################ PROJECT VERSION ####################
-set(PROJECT_VERSION_FULL "0.1.9")
+set(PROJECT_VERSION_FULL "0.2.0")
 set(PROJECT_SO_VERSION 7)
-set(HEX_VERSION_OVERRIDE "0x109") # For CMake < 3.13
 
 # Remove the dash and anything following, to get the #.#.# version for project()
 STRING(REGEX REPLACE "\-.*$" "" VERSION_NUM "${PROJECT_VERSION_FULL}")
@@ -57,13 +56,31 @@
 PROJECT(libopenshot-audio LANGUAGES C CXX VERSION ${VERSION_NUM})
 
 # JuceHeader.h needs a hexadecimal version number for the project
-if(CMAKE_VERSION VERSION_LESS 3.13)
-	set(PROJECT_VERSION_HEX ${HEX_VERSION_OVERRIDE}) # Ugly hardcoding
+if(CMAKE_VERSION VERSION_GREATER 3.13)
+  math(EXPR PROJECT_VERSION_HEX
+    "(${PROJECT_VERSION_MAJOR} << 16) + \
+     (${PROJECT_VERSION_MINOR} << 8) + \
+     (${PROJECT_VERSION_PATCH})" OUTPUT_FORMAT HEXADECIMAL )
 else()
-	math(EXPR PROJECT_VERSION_HEX 
-		"(${PROJECT_VERSION_MAJOR} << 16) + \
-		(${PROJECT_VERSION_MINOR} << 8) + \
-		(${PROJECT_VERSION_PATCH})" OUTPUT_FORMAT HEXADECIMAL )
+  # Compile and run a C++ program to generate the hex version
+  set(HEX_COMPILE_DEFINITIONS
+    -DVERSION_MAJOR=${PROJECT_VERSION_MAJOR}
+    -DVERSION_MINOR=${PROJECT_VERSION_MINOR}
+    -DVERSION_PATCH=${PROJECT_VERSION_PATCH}
+  )
+  try_run(HEX_VERSION_RUN HEX_VERSION_BUILD
+    ${CMAKE_CURRENT_BINARY_DIR}/hex_version
+    ${PROJECT_SOURCE_DIR}/src/hex_version.cpp
+    COMPILE_DEFINITIONS ${HEX_COMPILE_DEFINITIONS}
+    RUN_OUTPUT_VARIABLE HEX_VERSION_OUTPUT
+  )
+  if (NOT HEX_VERSION_BUILD)
+    message(ERROR "Failed to compile hex-version utility!")
+  elseif(HEX_VERSION_RUN STREQUAL FAILED_TO_RUN)
+    message(ERROR "Could not execute hex-version utility!")
+  else()
+    set(PROJECT_VERSION_HEX ${HEX_VERSION_OUTPUT})
+  endif()
 endif()
 
 message("\

=== src/CMakeLists.txt ===
#################### CMakeLists.txt (libopenshot-audio) ######################
# @brief CMake build file for libopenshot-audio (used to generate makefiles)
# @author Jonathan Thomas <jonathan@openshot.org>
#
# @section LICENSE
#
# Copyright (c) 2008-2016 OpenShot Studios, LLC
# <http://www.openshotstudios.com/>. This file is part of
# OpenShot Audio Library (libopenshot-audio), an open-source project dedicated
# to delivering high quality audio editing and playback solutions to the
# world. For more information visit <http://www.openshot.org/>.
#
# OpenShot Audio Library (libopenshot-audio) is free software: you can
# redistribute it and/or modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# OpenShot Audio Library (libopenshot-audio) is distributed in the hope that it
# will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
# Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with OpenShot Audio Library. If not, see <http://www.gnu.org/licenses/>.
################################################################################


############### TEST EXECUTABLES ################
add_executable(openshot-audio-test-sound Main.cpp)
target_link_libraries(openshot-audio-test-sound openshot-audio)
set_target_properties(openshot-audio-test-sound PROPERTIES
	CXX_STANDARD 11
	CXX_STANDARD_REQUIRED YES
	CXX_EXTENSIONS OFF
	MACOSX_RPATH OFF )

# Install Test Executable
INSTALL(TARGETS openshot-audio-test-sound DESTINATION ${CMAKE_INSTALL_BINDIR})

=== debian/control ===
Source: libopenshot-audio
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Dr. Tobias Quathamer <toddy@debian.org>,
           Anton Gladky <gladk@debian.org>
Rules-Requires-Root: no
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               libasound2-dev,
               libflac-dev,
               libfreetype6-dev,
               libjpeg-dev,
               libpng-dev,
               libvorbis-dev,
               libxcursor-dev,
               libxinerama-dev,
               libxrandr-dev,
               zlib1g-dev
Build-Depends-Indep: doxygen <!nodoc>,
                     python3 <!nodoc>
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/multimedia-team/libopenshot-audio
Vcs-Git: https://salsa.debian.org/multimedia-team/libopenshot-audio.git
Homepage: https://www.openshot.org/

Package: libopenshot-audio7
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: library for high-quality audio editing
 The OpenShot audio library is a program which allows high-quality
 editing and playback of audio based on the JUCE library.
 .
 This package provides the shared library.

Package: libopenshot-audio-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libopenshot-audio7 (= ${binary:Version}),
         ${misc:Depends}
Suggests: libopenshot-audio-doc <!nodoc>
Description: development files for the OpenShot audio library
 The OpenShot audio library is a program which allows high-quality
 editing and playback of audio based on the JUCE library.
 .
 This package provides the development files.

Package: libopenshot-audio-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: documentation for the OpenShot audio library
 The OpenShot audio library is a program which allows high-quality
 editing and playback of audio based on the JUCE library.
 .
 This package provides the documentation.
Build-Profiles: <!nodoc>

Package: libopenshot-audio-test-sound
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: plays test sound using libopenshot-audio
 The OpenShot audio library is a program which allows high-quality
 editing and playback of audio based on the JUCE library.
 .
 This package provides the test binary to test the sound using
 libopenshot-audio.

=== debian/rules ===
--- 
+++ 
@@ -7,9 +7,10 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+BUILDDIR = $(CURDIR)/debian/build
 
 %:
-	dh $@
+	dh $@ --builddirectory=$(BUILDDIR)
 
 override_dh_auto_configure:
 	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"
@@ -34,6 +35,3 @@
 	dh_installdocs --indep
 	dh_doxygen --indep
 endif
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

=== debian/watch ===
version=3
opts=repacksuffix=+dfsg1,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\d+)?$//,\
filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/libopenshot-audio-$1\.tar\.gz/ \
https://github.com/OpenShot/libopenshot-audio/tags .*/v?(\d\S*)\.tar\.gz
